# Uses of Class
com.google.protobuf.BoolValue

Packages that use BoolValue
Package
Description
com.google.protobuf

## Uses of BoolValue in com.google.protobuf

Methods in com.google.protobuf that return BoolValue
Modifier and Type
Method
Description
`BoolValue`
BoolValue.Builder.`build()`
`BoolValue`
BoolValue.Builder.`buildPartial()`
`static BoolValue`
BoolValue.`getDefaultInstance()`
`BoolValue`
BoolValue.Builder.`getDefaultInstanceForType()`
`BoolValue`
BoolValue.`getDefaultInstanceForType()`
`static BoolValue`
BoolValue.`of(boolean value)`
`static BoolValue`
BoolValue.`parseDelimitedFrom(InputStream input)`
`static BoolValue`
BoolValue.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static BoolValue`
BoolValue.`parseFrom(byte[] data)`
`static BoolValue`
BoolValue.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static BoolValue`
BoolValue.`parseFrom(ByteString data)`
`static BoolValue`
BoolValue.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static BoolValue`
BoolValue.`parseFrom(CodedInputStream input)`
`static BoolValue`
BoolValue.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static BoolValue`
BoolValue.`parseFrom(InputStream input)`
`static BoolValue`
BoolValue.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static BoolValue`
BoolValue.`parseFrom(ByteBuffer data)`
`static BoolValue`
BoolValue.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type BoolValue
Modifier and Type
Method
Description
`Parser<BoolValue>`
BoolValue.`getParserForType()`
`static Parser<BoolValue>`
BoolValue.`parser()`
Methods in com.google.protobuf with parameters of type BoolValue
Modifier and Type
Method
Description
`BoolValue.Builder`
BoolValue.Builder.`mergeFrom(BoolValue other)`
`static BoolValue.Builder`
BoolValue.`newBuilder(BoolValue prototype)`